<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_3"
    android:layout_marginTop="@dimen/dp_7"
    android:layout_marginRight="@dimen/dp_3">

    <com.lihang.ShadowLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:hl_cornerRadius="@dimen/dp_8"
        app:hl_shadowLimit="@dimen/dp_3">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="@dimen/dp_4"
            android:paddingBottom="@dimen/dp_6">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_3"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_pay_method"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left"
                    android:background="@drawable/shape_payments_btn"
                    android:gravity="left"
                    android:paddingLeft="@dimen/dp_8"
                    android:paddingTop="@dimen/dp_6"
                    android:paddingRight="@dimen/dp_8"
                    android:paddingBottom="@dimen/dp_6"
                    android:textColor="@color/white"
                    android:textSize="@dimen/dp_14"
                    android:textStyle="bold"/>

                <TextView
                    android:id="@+id/tv_order_time"
                    style="@style/order_item_twelve_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:layout_marginRight="@dimen/dp_10"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:textSize="@dimen/dp_10"
                    tools:text="下單時間"
                    tools:textColor="@color/theme_333_color" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:layout_marginTop="@dimen/dp_14"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/tv_order_user_name"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginTop="@dimen/dp_2"
                        android:layout_marginRight="@dimen/dp_10"
                        android:textColor="@color/theme_text_color"
                        android:textSize="@dimen/sp_14"
                        android:textStyle="bold"
                        tools:text="用戶名+手機號（1234567862）"
                        tools:textColor="@color/theme_333_color" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5">

                        <TextView
                            android:id="@+id/tv_address_text"
                            style="@style/order_item_info_title_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_6"
                            android:layout_marginBottom="@dimen/dp_10"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="地址:"
                            tools:textColor="@color/theme_333_color" />

                        <TextView
                            android:id="@+id/tv_address"
                            style="@style/order_item_info_textStyle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            app:layout_constraintLeft_toRightOf="@id/tv_address_text"
                            app:layout_constraintTop_toTopOf="@id/tv_address_text"
                            tools:text="用戶收貨地址"
                            tools:textColor="#868686" />
                    </androidx.constraintlayout.widget.ConstraintLayout>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/ic_vehicle"
                        android:layout_width="@dimen/dp_26"
                        android:layout_height="@dimen/dp_26"
                        android:layout_marginLeft="@dimen/dp_5"
                        android:layout_marginRight="@dimen/dp_5" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_2"
                    android:layout_weight="0.35"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/tv_delivery_state"
                        style="@style/order_item_info_title_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_15"
                        android:textColor="@color/color_3c"
                        tools:text="已通知物流"
                        tools:textColor="@color/theme_333_color" />

                    <TextView
                        android:id="@+id/tv_order_state"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_11"
                        android:paddingLeft="@dimen/dp_13"
                        android:paddingTop="@dimen/dp_4"
                        android:paddingRight="@dimen/dp_13"
                        android:paddingBottom="@dimen/dp_4"
                        android:textColor="@color/white"
                        android:textSize="@dimen/dp_12"
                        tools:text="訂單狀態"
                        tools:textColor="@color/theme_333_color" />

                    <TextView
                        android:id="@+id/tv_order_amount"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_2"
                        android:gravity="center_horizontal"
                        android:textColor="@color/red_600"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintHorizontal_weight="1"
                        app:layout_constraintLeft_toRightOf="@id/tv_address"
                        app:layout_constraintRight_toRightOf="parent"
                        tools:text="$14141"
                        tools:textColor="@color/theme_333_color" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>
    </com.lihang.ShadowLayout>

    <FrameLayout
        android:id="@+id/fl_border"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/shape_order_border"
        android:visibility="gone" />
</FrameLayout>
